Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.messaging
Class CompletionCoordinatorProcessorImpl

    java.lang.Object
      com.arjuna.webservices.wsat.processors.CompletionCoordinatorProcessor
          com.arjuna.wst.messaging.CompletionCoordinatorProcessorImpl

public class CompletionCoordinatorProcessorImpl
extends com.arjuna.webservices.wsat.processors.CompletionCoordinatorProcessor

The Completion Coordinator processor.

Author:
  kevin

Constructor Summary
`CompletionCoordinatorProcessorImpl()`

Method Summary
`void` | `activateParticipant(CompletionCoordinatorParticipant participant, java.lang.String identifier)` Activate the participant.
`void` | `commit(com.arjuna.webservices.wsat.NotificationType commit, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Commit.
`void` | `deactivateParticipant(CompletionCoordinatorParticipant participant)` Deactivate the participant.
`void` | `rollback(com.arjuna.webservices.wsat.NotificationType rollback, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Rollback.

Methods inherited from class com.arjuna.webservices.wsat.processors.CompletionCoordinatorProcessor
`getProcessor, setProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompletionCoordinatorProcessorImpl

    public CompletionCoordinatorProcessorImpl()

Method Detail

### activateParticipant

    public void activateParticipant(CompletionCoordinatorParticipant participant,
                                    java.lang.String identifier)

  Activate the participant.

  Parameters:
    `participant` - The participant.
    `identifier` - The identifier.

### deactivateParticipant

    public void deactivateParticipant(CompletionCoordinatorParticipant participant)

  Deactivate the participant.

  Parameters:
    `participant` - The participant.

### commit

    public void commit(com.arjuna.webservices.wsat.NotificationType commit,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Commit.

  Parameters:
    `commit` - The commit notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### rollback

    public void rollback(com.arjuna.webservices.wsat.NotificationType rollback,
                         com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                         com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Rollback.

  Parameters:
    `rollback` - The rollback notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD